<?php
/**
 * @var $l \OCP\IL10N
 * @var $_ array
 */

script('passwords_handbook', ['admin']);
?>
<header class="section passwords" id="passwords-handbook">
    <br><br><br>
    <h2>
        <?php p($l->t('Passwords Handbook')); ?>
    </h2>
</header>
<section class="section passwords">
    <div id="passwords-handbook-error" class="message error" <?php $_['error'] === null ? print_unescaped('style="display:none"'):p(''); ?>>
        <?php p($_['error']) ?>
    </div>
    <form>
        <h3>
            <?php p($l->t('General settings')); ?>
            <span class="response success saved"><?php p($l->t('Saved')); ?></span>
            <span class="response error"><?php p($l->t('Failed')); ?></span>
        </h3>

        <div class="area handbook-general">
            <label for="passwords-handbook-enabled"><?php p($l->t('Serve handbook files locally')); ?></label>
            <input id="passwords-handbook-enabled" name="handbook-enabled" data-handbook-setting="enabled" type="checkbox" <?=$_['enabled'] ? 'checked':''?>>
            <label for="passwords-handbook-url"><?php p($l->t('Handbook url')); ?></label>
            <input id="passwords-handbook-url" value="<?=$_['url']?>" readonly disabled>
        </div>
    </form>

    <?php foreach($_['features'] as $client => $features): ?>
        <form>
        <h3>
            <?php p($l->t(ucfirst($client).' features')); ?>
            <span class="response success saved"><?php p($l->t('Saved')); ?></span>
            <span class="response error"><?php p($l->t('Failed')); ?></span>
        </h3>

        <div class="area handbook-<?=$client?>">
            <?php foreach($features as $name => $value): ?>
            <label for="passwords-<?=$name?>"><?php p($l->t(ucwords(str_replace('-', ' ', $name)))); ?></label>
            <input id="passwords-<?=$name?>" name="passwords-<?=$name?>" data-handbook-setting="feature.<?=$client?>.<?=$name?>" type="checkbox" <?=$value ? 'checked':''?>>
            <?php endforeach; ?>
        </div>
    </form>
    <?php endforeach; ?>
</section>